import 'package:vnoteapp/managers/interfaces/diagnosis.dart';
import 'package:vnoteapp/rpc.dart';
import 'package:vnoteapp/store/store.dart';

class DiagnosisManager implements IDiagnosisManager {
  DiagnosisManager();

  /// 创建诊疗展示
  @override
  Future<String> createDiagnosisAsync(createDiagnosis) async {
    createDiagnosis.token = Store.user.token;
    return await rpc.diagnosis.createDiagnosisAsync(createDiagnosis);
  }
}
